Bug 1319195 - incorrect use of Requires(pre)?
Summary: incorrect use of Requires(pre)?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torque
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-18 15:59 UTC by Honza Silhan
Modified: 2017-08-17 16:58 UTC (History)
3 users (show)

Fixed In Version: torque-4.2.10-10.fc24 torque-4.2.10-10.el7 torque-4.2.10-10.fc23 torque-4.2.10-10.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-14 23:32:05 UTC
Type: ---


Attachments (Terms of Use)

Description Honza Silhan 2016-03-18 15:59:41 UTC
We've identified your package for having `Requires(pre)` RPM flag without `Requires` [1]. `Requires(pre)` rpm tag could be interpreted wrongly, so to prevent any harm to Fedora users I am notifying you about this fact.

Any package that is specified in `Requires(pre)` could be freely removed. Citing from RPM pages:
```
If there are no other dependencies on the package providing /usr/sbin/useradd, that package is permitted to be removed from the system after installation(!)
``` [2]

If you really rely on dependency just during the installation process and your package don't necessary require the dependency for the proper run of your application then ignore this bug report and close it as NOTABUG. Otherwise add to your spec file additional `Requires` for the dependency, please.


[1] paste.fedoraproject.org/341611/82208431
[2] http://www.rpm.org/wiki/PackagerDocs/MoreOnDependencies

Comment 1 David Brown 2016-04-09 06:43:30 UTC
Looks like I'm doing the right thing for sysvinit scripts...

https://fedoraproject.org/wiki/EPEL:SysVInitScript#Initscript_packaging

The section here states all the Requires({pre,preun,post}) and not adding it to Requires... so I'm doing exactly what the documentation says there and  nothing more...

Seems like the systemd documentation has updated... so I'll change that and close this.

Comment 2 Fedora Update System 2016-04-09 18:19:11 UTC
torque-4.2.10-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7a55539098

Comment 3 Fedora Update System 2016-04-09 18:19:45 UTC
torque-4.2.10-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-596ccc8373

Comment 4 Fedora Update System 2016-04-09 18:20:29 UTC
torque-4.2.10-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-43b6ce44b3

Comment 5 Fedora Update System 2016-04-09 18:21:01 UTC
torque-4.2.10-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b21f08b188

Comment 6 Fedora Update System 2016-04-09 18:21:40 UTC
torque-4.2.10-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-830fdb2304

Comment 7 Fedora Update System 2016-04-09 21:22:01 UTC
torque-4.2.10-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-43b6ce44b3

Comment 8 Fedora Update System 2016-04-10 15:19:47 UTC
torque-4.2.10-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-596ccc8373

Comment 9 Fedora Update System 2016-04-10 15:19:58 UTC
torque-4.2.10-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-830fdb2304

Comment 10 Fedora Update System 2016-04-10 15:20:09 UTC
torque-4.2.10-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7a55539098

Comment 11 Fedora Update System 2016-04-10 15:48:23 UTC
torque-4.2.10-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b21f08b188

Comment 12 Fedora Update System 2016-05-14 23:31:55 UTC
torque-4.2.10-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-15 02:42:35 UTC
torque-4.2.10-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-15 05:32:12 UTC
torque-4.2.10-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-16 14:55:36 UTC
torque-4.2.10-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-08-17 16:58:28 UTC
torque-4.2.10-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6658d64670


Note You need to log in before you can comment on or make changes to this bug.